Bug 170691 - Review Request: basket - Notes taker for KDE
Review Request: basket - Notes taker for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://basket.kde.org/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-13 15:41 EDT by Aurelien Bompard
Modified: 2010-06-20 21:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-16 17:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2005-10-13 15:41:02 EDT
Spec Name or Url: http://gauret.free.fr/fichiers/rpms/fedora/basket.spec
SRPM Name or Url: http://gauret.free.fr/fichiers/rpms/fedora/basket-0.5.0-1.src.rpm
Description:
This application is mainly an all-purpose notes taker. It provides baskets
where any item can be dragged and dropped: text, formatted text, links,
images, sounds, files, colors, application launcher...
BasKet lets you keep all objects in one place, and keep data at hand.
Comment 1 Adrian Reber 2005-10-14 06:19:37 EDT
The package should own "/usr/share/doc/HTML/en/basket/"

And I cannot see the icon in the gnome menu. Even after a restart of the menu.
Can icons in the crystalsvg be used from the gnome panel?
Comment 2 Rex Dieter 2005-10-14 08:30:47 EDT
Adrian,
IMO, the icon missing is an upstream issue, in that basket should be installing
it's icon(s) in the hicolor theme, not crystalsvg.  crystalsvg inherits from
hicolor, so the quick-n-dirty fix would be to:

mv $RPM_BUILD_ROOT%{_datadir}/icons/cyrstalsvg \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor

and then adjust %post/%postun, to something like:

%post
touch %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2>/dev/null ||:

%postun
if [ $1 -eq 0 ]; then
touch %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2>/dev/null ||:
fi
Comment 3 Rex Dieter 2005-10-14 08:38:38 EDT
Interestingly, I just looked at /usr/share/icons/Bluecurve/index.theme, and it
includes:
Bluecurve/index.theme:Inherits=gnome,crystalsvg
so it *should* have inherited from cyrstalsvg too.  ???  Adrian, what icon theme
are you using?

However, I'd still recommend using hicolor instead of crystalsvg, since
all(most?) icon themes should (eventually) inherit from it (which isn't
necesarily true for crystalsvg).
Comment 4 Aurelien Bompard 2005-10-14 12:23:41 EDT
Thanks for the review.

http://gauret.free.fr/fichiers/rpms/fedora/basket-0.5.0-2.src.rpm

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-2
- own the doc dir
- use hicolor instead of crystalsvg as icon theme
- add extension to the icon in the desktop file

I've change the icon entry in the desktop file from "basket" to "basket.png".
IIRC, GNOME needs the extension. Does the icon show up in GNOME now ?
Comment 5 Rex Dieter 2005-10-14 12:53:48 EDT
Having to add the .png is unfortunate, which now makes kde unable to use
basket's scalable svg icon:
%_datadir/icons/(hicolor|crystalsvg)/scalable/apps/basket.svg
Comment 6 Rex Dieter 2005-10-14 13:04:20 EDT
Just checked the icon spec, 
http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html
you shouldn't need to add the .png extension.  Implementations are supposed to
automatically search for png, svg(optional), and xpm icons.
Comment 7 Rex Dieter 2005-10-14 13:08:09 EDT
You should also "touch" the top-level icon dir (to update it's mtime) per
comment #2, per the Icon spec (appended).

To be safe (especially if the icon theme dir ever changes), you can ignore my
suggested:
%postun
if [ $1 -eq 0 ];
bit, so the touch and gtk-update-... runs unconditionally.

-----------------
... any implementation that does caching is required to look at the mtime of the
toplevel icon directories when doing a cache lookup, unless it already did so
less than 5 seconds ago. This means that any icon editor or theme installation
program need only to change the mtime of the the toplevel directory where it
changed the theme to make sure that the new icons will eventually get used.
-----------------
Comment 8 Aurelien Bompard 2005-10-14 17:31:45 EDT
I tried in GNOME with the .png extension, and it didn't change a thing, so I
removed the hack.

http://gauret.free.fr/fichiers/rpms/fedora/basket-0.5.0-2.src.rpm

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-3
- don't add the extension to the icon, it's useless
- touch the icon dir in post and postun

Does the icon show up in GNOME ? At some point I tried a symlink to
/usr/share/pixmaps, and the icon appeared. Then I removed the symlink, and now
the icons stays (tried to restart GNOME, still there).
What's the preferred way ?
Comment 9 Aurelien Bompard 2005-10-14 17:32:28 EDT
Wrong URL, it should be release 3 :
http://gauret.free.fr/fichiers/rpms/fedora/basket-0.5.0-3.src.rpm
Comment 10 Adrian Reber 2005-10-16 11:47:46 EDT
I can see the icon now.

* builds in mock
* clean installation and removal
* source matches upstream
* scripts look sane
* spec looks good
* rpmlint has two warnings:
W: basket dangling-symlink /usr/share/doc/HTML/en/basket/common
/usr/share/doc/HTML/en/common
W: basket symlink-should-be-relative /usr/share/doc/HTML/en/basket/common
/usr/share/doc/HTML/en/common
I have seen that other KDE related packages have the same warning with rpmlint
so I suppose this isn't a big problem. It doesn't also sound as if it is a big
problem.

APPROVED
Comment 11 Thomas Janssen 2010-06-18 13:08:23 EDT
Package Change Request
======================
Package Name: basket
New Branches: EL-4 EL-5 EL-6
Owners: thomasj
Comment 12 manuel wolfshant 2010-06-18 18:39:19 EDT
Let's use a shorter route ( implicit approval for the below request change was given by Thomas via Email; I am removing EL-4 from the list because I can not perform tests which imply desktop-like software on this platform ):

Package Change Request
======================
Package Name: basket
New Branches:EL-5 EL-6
Owners: thomasj    
InitialCC: wolfy
Comment 13 Thomas Janssen 2010-06-20 14:17:00 EDT
Yes, the above is fine with me.
Comment 14 Kevin Fenzi 2010-06-20 21:49:19 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.